### Function: RemoveQuestStep(player, quest, step)

**Description:**
Remove a quest step from the Player's quest journal.

**Parameters:**
- `player` (Spawn) - Spawn object representing `player`.
- `quest` (Quest) - Quest object representing `quest`.
- `step` (uint32) - Integer value `step`.

**Returns:** None.

**Example:**

Example Required
